Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.nodedata
Class HiddenBranchDataAdapter

    java.lang.Object
      info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
          info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
              info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
                  info.bioinfweb.treegraph.document.nodedata.HiddenBranchDataAdapter

All Implemented Interfaces:
  NodeDataAdapter

Direct Known Subclasses:
  NewHiddenBranchDataAdapter

    public class HiddenBranchDataAdapter

extends HiddenDataAdapter

Field Summary

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`DECIMAL_FORMAT`

Fields inherited from class info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`id`

Constructor Summary
`HiddenBranchDataAdapter(java.lang.String id)`

Method Summary
`Branch` | `getDataElement(Node node)` This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.
`protected HiddenDataMap` | `getDataMap(Node node)`
`java.lang.String` | `toString()` A description of the adapter that is readable by the user should be returned here.

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.HiddenDataAdapter
`assignData, createData, delete, getData, getDecimalFormat`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.IDElementAdapter
`getID`

Methods inherited from class info.bioinfweb.treegraph.document.nodedata.TextElementDataAdapter
`decimalOnly, getDecimal, getText, isDecimal, isEmpty, isString, setDecimal, setText, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HiddenBranchDataAdapter

    public HiddenBranchDataAdapter(java.lang.String id)

Method Detail

### getDataMap

    protected HiddenDataMap getDataMap(Node node)

  Specified by:
    `getDataMap` in class `HiddenDataAdapter`

### getDataElement

    public Branch getDataElement(Node node)

  Description copied from interface: `NodeDataAdapter`
  This method should return the tree element which contains the data which is edited with the implementation of the respective adapter.

  Returns:

### toString

    public java.lang.String toString()

  Description copied from interface: `NodeDataAdapter`
  A description of the adapter that is readable by the user should be returned here.

  Specified by:
    `toString` in interface `NodeDataAdapter`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD